# Checklist of material required for storefronts

---

The text and image assets should be added to a shared Google Drive folder.

### iOS text assets

1. [ ] What's New
1. [ ] Name (0-30 chars)
1. [ ] Subtitle (0-30 chars)
1. [ ] Privacy Policy URL (#58)
1. [ ] Primary Category
1. [ ] Keywords (0-100 chars)
1. [ ] Description (0-4000 chars)
1. [ ] Contact info: first name, last name, email, phone number
1. [ ] Fill out questionnaire for Age Rating

**OPTIONAL**

1. [ ] Promotional Text (0-170 chars) (appears above description)
1. [ ] Copyright text (such as "2008 Acme Inc.")
1. [ ] Secondary Category

### Android text assets

1. [ ] What's new
1. [ ] Title (0-50 chars)
1. [ ] Description (0-80 chars)
1. [ ] Full description (0-4000 chars)
1. [ ] Application Category, Tags
1. [ ] Fill out questionnaire to get content rating
1. [ ] Contact email

**OPTIONAL**

1. [ ] Privacy Policy URL
1. [ ] Website URL
1. [ ] Contact phone

### iOS screenshots (from https://github.com/WorldHealthOrganization/app/issues/187)

[exact dimensions of all possible screenshots here](https://help.apple.com/app-store-connect/#/devd274dd925)

- [ ] 1 screenshot for iPhone 5.5" display (1242 x 2208 pixels (portrait) or 2208 x 1242 pixels (landscape))
- [ ] 1 screenshot for iPhone 6.5" display (1242 x 2688 pixels (portrait) or 2688 x 1242 pixels (landscape))
- [ ] 1 screenshot for iPad Pro (3rd Gen) 12.9" display (2048 x 2732 pixels (portrait) or 2732 x 2048 pixels (landscape))
- [ ] 1 screenshot for iPad Pro (2nd Gen) 12.9" display (2048 x 2732 pixels (portrait) or 2732 x 2048 pixels (landscape))
- [ ] App Store Icon (1024 x 1024)

#### OPTIONAL

- Up to 10 screenshots and 3 App Previews for each device size

### Android screenshots

All files need to be JPEG / PNG (more info on exact requirements).

- [ ] 2 screenshots (Min length for any side: 320px. Max length for any side: 3840px)
- [ ] High-res icon, 512 x 512 32-bit PNG, has to be less than 1024 KB
- [ ] Feature graphic, 1024px by 500px

#### OPTIONAL

- [ ] up to 8 other screenshots
- [ ] Promo Graphic
- [ ] TV Banner
- [ ] Promo video
- [ ] Daydream image
